MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023706Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2013-01-16 16:042015-01-26 14:48
Reporterabk 
Assigned Tonbv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023706: Cannot project point on curve
DescriptionCannot project point 3.9999965207720098 5.0000000629157348 5.0002142991819367 on curve from attached file.
Steps To Reproducerestore c.brep c
proj c 3.9999965207720098 5.0000000629157348 5.0002142991819367
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug23706_1 - bug23706_61
Attached Files? file icon c.brep (1,698 bytes) 2013-01-16 16:04
? file icon c2.brep (1,408 bytes) 2013-01-21 21:23
7z file icon ProblemShapes.7z (1,513 bytes) 2013-03-07 11:30
pdf file icon theory.pdf (152,051 bytes) 2013-03-13 11:33
pdf file icon theory1.pdf (107,064 bytes) 2013-03-14 11:20
pdf file icon Rotation of trihedron along the curve.pdf (166,639 bytes) 2013-04-10 14:42

- Relationships
has duplicate 0023659closedabk Cannot project point on the attached curve 
related to 0023908closedbugmaster Computing of tangents and normals is wrong, when methods from LProp package are used 

-  Notes
(0023033)
nbv (developer)
2013-01-18 18:30
edited on: 2013-01-22 13:41

Project point exists but it is not found. Reason is in algorithm.
Point P(3.9999965207720098; 5.0000000629157348; 5.0002142991819367) is given. Every B-spline interval of given curve is dividing by 34 sub-intervals (by points P(1), P(2),… P(34)). In every found point (who has index i) vectors first derivative (D(i)) and P_P(i) are built and their dot products (S(i)) are found. If S(i)*S(i+1)<0 then project point is in interval between P(i) and P(i+1). In this interval root of equation (dot product is equal to zero) is sought (bisection method).
Now (when source interval divides by 34 points) all S(i) have equal sign. By more detail examination (when source interval divides by 340 sub-intervals) interval with condition S(i)*S(i+1)<0 is found. And project point is found too.

I pushed branch CR23706 for proving that.

It solved a problem. But I don’t know how many intervals are necessary.
I change status to resolve, but, most likely, code will be change later. It is necessary to determine with conception.

(0023040)
jgv (developer)
2013-01-21 11:24

Dear Alexander,

Please review.
(0023044)
abk (developer)
2013-01-21 12:39

The fix resolves the task to project point P(3.9999965207720098, 5.0000000629157348, 5.0002142991819367) on the curve by the algorithm.
But now exists point P2(3.999999652077201, 5.0000000062915735, 5.00002142991819367) which is not projected on the curve by the algorithm although point P2 has the projection on the curve.
(0023045)
nbv (developer)
2013-01-21 13:12

Dear Alexander (abk)
    proj r 3.999999652077201, 5.0000000062915735, 5.00002142991819367

returns:

    parameter 1 = 0.99910795389207707
    ext_1 Le point est sur la courbe.
    Son parametre est U = 0.99910795389207707

E.g. project is found, but the point lies on the curve. (See pushed branch CR23706).
(0023050)
abk (developer)
2013-01-21 21:31

File c2.brep was attached. The file contains curve c2. Point P2 is incorrectly projected on the curve by the algorithm.
(0023052)
nbv (developer)
2013-01-22 10:09
edited on: 2013-01-22 10:12

Dear Alexander (abk)!

            restore c.brep r
            proj r 3.999999652077201, 5.0000000062915735, 5.00002142991819367
returns:
 parameter 1 = 0.99910795389207707
ext_1 Le point est sur la courbe.
 Son parametre est U = 0.99910795389207707



            restore c.brep r
            proj r 3.9999965207720098 5.0000000629157348 5.0002142991819367
returns:
 parameter 1 = 0.9971542314779257
ext_1





            restore c2.brep r
            proj r 3.999999652077201, 5.0000000062915735, 5.00002142991819367
returns:
 parameter 1 = 0.99910795390932827
ext_1 Le point est sur la courbe.
 Son parametre est U = 0.99910795390932827
 parameter 2 = 1
ext_2





            restore c2.brep r
            proj r 3.9999965207720098 5.0000000629157348 5.0002142991819367
returns:
 parameter 1 = 0.99715423329884789
ext_1 parameter 2 = 1
ext_2

(on Windows Platform leastwise).

Please, check carefuller.

(0023053)
nbv (developer)
2013-01-22 10:54
edited on: 2013-01-22 11:04

Ask to draw attention on following script for commands
            restore c2.brep r
            dset px 3.999999652077201
            dset py 5.0000000062915735
            dset pz 5.00002142991819367
            
            proj r px py pz


Draw[]> cvalue r 0.99910795390932827 x y z dx dy dz
Draw[]> dset pv_x px-x
-1.3253037334237661e-008
Draw[]> dset pv_y py-y
1.0259881833007967e-010
Draw[]> dset pv_z pz-z
-2.0223556163045942e-010
Draw[]> dset sqlen dx*dx+dy*dy+dz*dz
0.0022906725684085274
Draw[]> dset lder sqrt(sqlen)
0.047860971243890646
Draw[]> dset sc_prod (pv_x*dx+pv_y*dy+pv_z*dz)/lder
1.1616542699069652e-016

Here variable sc_prod is dot product between vectors first derivative and P2_Pf (where Pf is found project point; see http://tracker.dev.opencascade.org/view.php?id=23706#c23033 [^]).

For parameter 0.99910795390932827 dot product is equal to 1.1616542699069652e-016.
For parameter 1

Draw[]> cvalue r 1 x y z dx dy dz
Draw[]> dset pv_x px-x
-3.4792279901552092e-007
Draw[]> dset pv_y py-y
6.2915734844182225e-009
Draw[]> dset pv_z pz-z
2.14299181937605e-005
Draw[]> dset sqlen dx*dx+dy*dy+dz*dz
6.1320748690081589e-030
Draw[]> dset lder sqrt(sqlen)
2.4763026610267493e-015
Draw[]> dset sc_prod (pv_x*dx+pv_y*dy+pv_z*dz)/lder
1.8319451919901097e-005

dot product is equal to 1.8319451919901097e-005.

Theoretically, dot product must be equal to 0.

(0023057)
abk (developer)
2013-01-22 12:07

Point P3(3.99999991301930024, 5.00000000157289337, 5.00000535747954842) is not projected on curve c2 by the algorithm.
(0023058)
nbv (developer)
2013-01-22 14:33

New branch (CR23706_1) is ready to review.

Algorithm of evaluation of number passing points is change. But performance can become worse really.

I will repeat: “I don’t know how many intervals are necessary” exactly.
(0023079)
nbv (developer)
2013-01-23 11:00

Dears Julia and Alexander.

There is an algorithm, who determines of necessary intervals' number itself.

It's employed in branch CR23706_2, who is ready to review.
(0023087)
abk (developer)
2013-01-23 12:48

Point P4(4.0000034792279902, 4.9999999370842652, 4.9997857008180633) has not projection on curve c2, but the algorithm from branch CR23706_2 projects the point to the curve end.
(0023088)
nbv (developer)
2013-01-23 13:34
edited on: 2013-01-24 09:00

Ask to draw attention on script in message http://tracker.dev.opencascade.org/view.php?id=23706#c23053. [^]

When parameter value is equal to 0.99 (in command "cvalue r 0.99 x y z dx dy dz") sc_prod=+0.0026936649971168276.

When parameter value is equal to 1 (in command "cvalue r 1 x y z dx dy dz") sc_prod=-0.00018319451919824445.

Values have different signs. So project point (where sc_prod=0) exists and it parameter value is found between 0.99 and 1.

(0023194)
nbv (developer)
2013-01-29 10:59

CR23706_4 is ready to review.

No comments.
(0023199)
jgv (developer)
2013-01-29 11:26

Please review.
(0023249)
abk (developer)
2013-02-04 12:43

Point P5(3.99999999837571056, 5.0000000000293724, 5.0000001000463034) has projection on curve c2, but is not projected on curve c2 by algorithm from branch CR23706_4.

The algorithm works incorrectly if parameter of a projected point and the curve end c2(1) are located in same discretization segment of the algorithm.

Cause of the error is invalid value for c2'(1). Correction of B-spline derivative calculation is good way to correct the bug.
(0023696)
nbv (developer)
2013-03-13 13:58

CR23706_6 is ready to review.
(0023698)
nbv (developer)
2013-03-13 14:12

Some remarks.

1. Point P4 (according to new algorithm) has not project points in curve "c" and "c2".

2. Ask to draw attention to attached file "theory.pdf". It tells about problem cases. All examples can be got by analyzing curves which are contain in "ProblemShapes.7z" archive.
(0023713)
nbv (developer)
2013-03-14 11:13

theory1.pdf file contains an information about curve-curve extrema.
(0023717)
ifv (developer)
2013-03-14 12:25

file Extrema_FuncExtPC.gxx must be corrected:
1. All analysis and setting variables depending on type of curves
   should be done in constructor and method Initialize(Curve)
2. Some haedcoded "special" numbers (1.e-12, 1.e-20...) should be replaced by
   static const variables.
(0023737)
nbv (developer)
2013-03-15 11:06

CR23706_7 is ready to review.
(0023755)
ifv (developer)
2013-03-15 17:10

Ok
(0023882)
nbv (developer)
2013-03-25 11:39

Dear Igor.

CR23706_8 is ready to review.

Cases with Point-Curve and Curve-Curve extremas are fixed.
New algorithm finds some extremas, which are in singularity point exactly, very rarely. In most cases found point lies next to singularity point.
(0023883)
ifv (developer)
2013-03-25 13:33

Ok
(0023897)
mkv (tester)
2013-03-26 14:55

Dear BugMaster,

Branch CR23706_8 (and products from GIT master) was compiled on Linux and Windows platforms and tested without rebase.
SHA-1: 371ef251b12e210b78d2bbbcfa5703732f38ccca

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 50 (50 on master)

Regressions:
There are a lot of regressions:
http://occt-tests/CR23706-8-master-occt/Mandriva2010/summary.html [^]
http://occt-tests/CR23706-8-master-occt/Windows-32-VC9/summary.html [^]

Testing on Linux:
Total MEMORY difference: 212968032 / 211127488
Total CPU difference: 14958.289999999695 / 14060.259999999633

Testing on Windows:
Total MEMORY difference: 334663204 / 335987636
Total CPU difference: 19040.859375 / 19152.875

There are not serious differences in images found by testdiff.
(0023919)
nbv (developer)
2013-03-28 12:59

CR23706_9 is ready to review
(0023940)
nbv (developer)
2013-03-29 16:05

CR23706_10 is ready to review
(0023943)
ifv (developer)
2013-03-29 18:15

Ok
(0023953)
mkv (tester)
2013-04-01 17:14

Dear BugMaster,

Branch CR23706_10 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: ce11149d35b9f92ff0a2b2c754a8afa64b83a5af

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 50 (50 on master)

Regressions:
There are a lot of regressions:
http://occt-tests/CR23706-10-master-occt/Mandriva2010/summary.html [^]
http://occt-tests/CR23706-10-master-occt/Windows-32-VC9/summary.html [^]

Testing on Linux:
Total MEMORY difference: 236929512 / 236842492
Total CPU difference: 18479.950000000277 / 16226.530000000148

Testing on Windows:
Total MEMORY difference: 349124932 / 348892468
Total CPU difference: 19553.9375 / 20506.53125

There are not serious differences in images found by testdiff.
(0023997)
nbv (developer)
2013-04-04 15:51

CR23706_11 is ready to review
(0023999)
nbv (developer)
2013-04-04 17:13
edited on: 2013-04-04 17:13

CR23706_12 is ready to review.

(0024024)
mkv (tester)
2013-04-05 20:46

Dear BugMaster,

Branch CR23706_12 (and products from GIT master) was compiled on Linux and Windows platforms and tested without rebase.
SHA-1: b50ec120a47ef18119dce27c08eacacd1af931fd

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 50 (50 on master)

Regressions:
http://occt-tests/CR23706-12-master-occt/Mandriva2010/summary.html [^]
boolean bcut_complex(012) F5, I8 - New value of are
bugs modalg_4(009) bug8842_14 - offsetperform

http://occt-tests/CR23706-12-master-occt/Windows-32-VC9/summary.html [^]
boolean bcut_complex(012) F5, I8 - New value of are

Improvements:
http://occt-tests/CR23706-12-master-occt/Mandriva2010/summary.html [^]
bugs modalg_1(006) buc60409_1, buc60409_2, buc60409_3

Testing cases:
bugs moddata_3(013) bug23706 - OK.

Testing on Linux:
Total MEMORY difference: 239099480 / 238802116
Total CPU difference: 16178.039999999884 / 16285.720000000138

Testing on Windows:
Total MEMORY difference: 351613624 / 351555356
Total CPU difference: 18188.578125 / 20667.0625

There are not serious differences in images found by testdiff.
(0024036)
nbv (developer)
2013-04-09 11:47

CR23706_13 is ready to review.
(0024041)
ifv (developer)
2013-04-09 13:33

Ok for current testing only
(0024051)
apn (administrator)
2013-04-09 15:49

Modified test case was pushed to branch CR23706_13.
(0024076)
nbv (developer)
2013-04-10 14:45

Branch CR23706_14 is ready to review.

In this branch algorithm, which is described in "Rotation of trihedron along the curve.pdf" file, is realized.
(0024087)
apn (administrator)
2013-04-11 13:48
edited on: 2013-04-11 14:21

Dear BugMaster,

Branch CR23706_13 (and products from GIT master) was compiled on Linux and Windows platforms and tested without rebase.
SHA-1: 7101520724b3ccf1fc24b455360393d7deec2019

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 50 (50 on master)

Regressions:
bugs modalg_4 bug8842_14
bugs moddata_1 buc60890
http://occt-tests/CR23706-13-master-occt/Mandriva2010/summary.html [^]

Improvements:
bugs modalg_1 buc60409_1 buc60409_2 buc60409_3 (expected problem TODO no. 1 is not detected)
http://occt-tests/CR23706-13-master-occt/Mandriva2010/summary.html [^]

Testing cases:
bugs moddata_3(013) bug23706 - OK.

Testing on Linux:
Total MEMORY difference: 244966724 / 244740936
Total CPU difference: 12487.79999999998 / 19939.53999999973

Testing on Windows:
Total MEMORY difference: 355720568 / 355714072
Total CPU difference: 26239.25 / 20763.21875

There are not serious differences in images found by testdiff.

(0024091)
apn (administrator)
2013-04-11 14:20

Dear BugMaster,

Branch CR23706_14 (and products from GIT master) was compiled on Linux and Windows platforms and tested without rebase.
SHA-1: 416b6a03424549d3a6075680322f3209fa8a1a21

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 50 (50 on master)

Regressions:
bugs modalg_4 bug8842_14
bugs moddata_1 buc60890
http://occt-tests/CR23706-14-master-occt/Mandriva2010/summary.html [^]

Improvements:
bugs modalg_1 buc60409_1 buc60409_2 buc60409_3 (expected problem TODO no. 1 is not detected)
http://occt-tests/CR23706-14-master-occt/Mandriva2010/summary.html [^]

Testing cases:
bugs moddata_3(013) bug23706 - OK.

Testing on Linux:
Total MEMORY difference: 245098996 / 244752852
Total CPU difference: 14651.559999999312 / 19942.389999999734

Testing on Windows:
Total MEMORY difference: 355577108 / 355550576
Total CPU difference: 20335.703125 / 20129.09375

There are not serious differences in images found by testdiff.
(0024147)
nbv (developer)
2013-04-16 10:37

CR23706_15 is ready to review.
(0024150)
ifv (developer)
2013-04-16 12:04

Ok
(0024156)
nbv (developer)
2013-04-16 14:37
edited on: 2013-04-16 15:02

Dears apn and mkv!

Ask to make new test's cases, where following scripts will be used.

                SCRIPT 1
Draw[]> bsplinecurve r2 4 3 1 5 2 1 3 5 0 8 0 1 2 8 2 1 4 8 3 1 4 8 3 1 6 8 4 1 10 8 10 1
Draw[]> mkedge spine r2
Draw[]> wire spine spine
Draw[]> circle profile 0 8 0 1 0 1 0.2
Draw[]> mkedge profile profile
Draw[]> wire profile profile
Draw[]> mkplane profile profile
Draw[]> pipe p spine profile
Draw[]> explode p f
Draw[]> mksurf ss1 p_1
Draw[]> mksurf ss2 p_2
Draw[]> mksurf ss3 p_3
Draw[]> offset o1 ss1 0.1
Draw[]> offset o2 ss2 0.1
Draw[]> offset o3 ss3 0.1

                SCRIPT 2
Draw[]> bsplinecurve r2 4 3 1 5 2 1 3 5 0 8 0 1 2 8 2 1 4 8 3 1 4 8 3 1 6 8 4 1 10 8 10 1
Draw[]> mkedge spine r2
Draw[]> wire spine spine
Draw[]> mksweep spine
Draw[]> addsweep spine -R
Draw[]> buildsweep spine -R
Draw[]> explode spine f
Draw[]> mksurf ss spine_1
Draw[]> offset o1 ss 2

                SCRIPT 3
Draw[]> restore c2.brep c
Draw[]> mkedge e1 c
Draw[]> wire w e1
Draw[]> polyline pl 3.9 4.9 5 4 5.1 5 4.1 3.9 5 3.9 4.9 5
Draw[]> mkplane pl pl
Draw[]> pipe p w pl
Draw[]> don p
Draw[]> fit
Draw[]> checkshape p

                SCRIPT 4
Draw[]> 2dbsplinecurve c1 2 5 0 3 0.2 1 0.3 1 0.4 1 0.5 3 2 0 1 3 -1 1 5 5 1 5 5 1 6 8 1 4 7 1
Draw[]> 2dbsplinecurve c3 2 4 1 3 2 1 3 1 5 3 6 3 1 5.001 5.01 1 5.001 5.01 1 3 9 1 2 11 1
Draw[]> 2dintersect c1 c3
Draw[]> v2d
Draw[]> 2dfit

                SCRIPT 5
Draw[]> 2dbsplinecurve c1 2 5 0 3 0.2 1 0.3 1 0.4 1 0.5 3 2 0 1 3 -1 1 5 5 1 5 5 1 6 8 1 4 7 1
Draw[]> 2dbsplinecurve c2 2 4 1 3 2 1 3 1 5 3 6 3 1 5 5 1 5 5 1 3 9 1 2 11 1
Draw[]> 2dintersect c1 c2
Draw[]> v2d
Draw[]> 2dfit

                SCRIPT 6
Draw[]> 2dbsplinecurve cc 3 2 0 4 1 4 -1 -1 1 0 -1 1 0 0 1 0 0 1
Draw[]> offset2dcurve o cc .5
Draw[]> v2d
Draw[]> 2dfit

                SCRIPT 7
Draw[]> bsplinecurve cc 3 2 0 4 1 4 -1 -1 2 1 0 -1 2 1 0 0 2 1 0 0 2 1
Draw[]> point pp 0 0 1
Draw[]> offsetcurve o cc .5 pp
Draw[]> ax
Draw[]> fit

                SCRIPT 8
Draw[]> bsplinecurve r2 2 4 1 3 2 2 3 1 4 3 0 8 0 1 2 8 2 1 4 8 3 1 4 8 3 1 6 8 4 1 10 8 10 1
Draw[]> ax
Draw[]> fit
Draw[]> mkedge spine r2
Draw[]> wire spine spine
Draw[]> circle profile 0 8 0 1 0 1 0.51
Draw[]> mkedge profile profile
Draw[]> wire profile profile
Draw[]> mkplane profile profile
Draw[]> pipe p spine profile
Draw[]> explode p f
Draw[]> mksurf ss p_2
Draw[]> bsplinecurve r3 2 5 1 3 2 1 3 1 4 1 5 3 9 7 3 1 5.447213595499958 9 2.105572809000084 1 4.223606797749979 8 2.552786404500042 1 4.223606797749979 8 2.552786404500042 1 3 7 3 1 2 5 3 1
Draw[]> intersect res r3 ss

                SCRIPT 9
Draw[]> 2dbsplinecurve c1 2 5 0 3 0.2 1 0.3 1 0.4 1 0.5 3 2 0 1 3 -1 1 5 5 1 5 5 1 6 8 1 4 7 1
Draw[]> offset2dcurve o1 c1 2
Draw[]> v2d
Draw[]> 2dfit

                SCRIPT 10
Draw[]> bsplinecurve r3 2 6 1 3 2 1 3 1 4 1 5 1 6 3 2 5 3 1 3 7 3 1 4 8 3 1 4 8 3 1 4 8 3 1 5 9 3 1 9 7 3 1
Draw[]> bsplinecurve r4 2 6 2 3 2.5 1 3 1 3.5 1 4 1 4.5 3 -1 2 3 1 1 11 3 1 3 9 3 1 3 9 3 1 3 9 3 1 5 7 3 1 7 4 3 1
Draw[]> extrema r3 r4
Draw[]> ax
Draw[]> fit

                SCRIPT 11
Draw[]> bsplinecurve r1 2 5 1 3 2 1 3 1 4 1 5 3 2 5 3 1 3 7 3 1 4 8 3 1 4 8 3 1 5 9 3 1 9 7 3 1
Draw[]> bsplinecurve r2 2 5 2 3 2.5 1 3 1 3.5 1 4 3 -1 2 3 1 1 11 3 1 3 9 3 1 3 9 3 1 3 9 3 1 5 7 3 1 7 4 3 1
Draw[]> extrema r1 r2

                SCRIPT 12
Draw[]> bsplinecurve r9 2 6 1 3 2 1 3 1 4 1 5 1 6 3 4 -3 3 1 6 8 3 1 10 11 3 1 10 11 3 1 10 11 3 1 14 14 3 1 5 8 3 1
Draw[]> bsplinecurve r10 2 6 2 3 2.5 1 3 1 3.5 1 4 1 4.5 3 5 20 3 1 8 15 3 1 12 18 3 1 12 18 3 1 12 18 3 1 16 21 3 1 7 12 3 1
Draw[]> extrema r9 r10
Draw[]> ax
Draw[]> fit

                SCRIPT 13
Draw[]> 2dbsplinecurve b3 2 6 1 3 2 1 3 1 4 1 5 1 6 3 2 5 1 3 7 1 4 8 1 4 8 1 4 8 1 5 9 1 9 7 1
Draw[]> 2dbsplinecurve b4 2 6 2 3 2.5 1 3 1 3.5 1 4 1 4.5 3 -1 2 1 1 11 1 3 9 1 3 9 1 3 9 1 5 7 1 7 4 1
Draw[]> 2dextrema b3 b4
Draw[]> v2d
Draw[]> 2dfit

                SCRIPT 14
Draw[]> 2dbsplinecurve b9 2 8 1 2 2 1 3 1 4 1 5 1 6 1 7 1 8 2 4 -3 1 6 8 1 10 11 1 10 11 1 10 11 1 14 14 1 5 8 1
Draw[]> 2dbsplinecurve b10 2 8 2 2 2.5 1 3 1 3.5 1 4 1 4.5 1 5 1 5.5 2 5 20 1 8 15 1 12 18 1 12 18 1 12 18 1 16 21 1 7 12 1
Draw[]> 2dextrema b9 b10
Draw[]> v2d
Draw[]> 2dfit

                SCRIPT 15
Draw[]> 2dbsplinecurve b7 2 5 1 3 2 1 3 1 4 1 5 3 4 -3 1 6 8 1 10 11 1 10 11 1 14 14 1 5 8 1
Draw[]> 2dbsplinecurve b8 2 5 2 3 2.5 1 3 1 3.5 1 4 3 5 20 1 8 15 1 12 18 1 12 18 1 16 21 1 7 12 1
Draw[]> 2dextrema b7 b8
Draw[]> v2d
Draw[]> 2dfit

Also it is necessary to make cases, using shapes from attached "ProblemShapes.7z" archive.

(0024202)
nbv (developer)
2013-04-18 12:49

CR23706_16 is ready to review.
(0024216)
ifv (developer)
2013-04-19 10:15

Ok
(0024336)
apn (administrator)
2013-05-08 13:12

Dear BugMaster,

Branch CR23706_16 (and products from GIT master) was compiled on Linux and Windows platforms and tested without rebase.
SHA-1: 4d70a766de561c567c10c80c49bc7baa67bdbaf2

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 64 (64 on master)

Regressions:
bugs moddata_1 buc60890 (Linux)

Improvements:
No improvements

Testing cases:
bugs moddata_3(013) bug23706 - OK

Testing on Linux:
Total MEMORY difference: 366096044 / 366110036
Total CPU difference: 43313.230000001015 / 43867.86000000104

Testing on Windows:
Total MEMORY difference: 420919060 / 421436764
Total CPU difference: 35997.578125 / 32295.0625

There are not serious differences in images found by testdiff.
(0024396)
nbv (developer)
2013-05-15 14:43

CR23706_17 is ready to review.
(0024397)
ifv (developer)
2013-05-15 15:07

Ok
(0024412)
mkv (tester)
2013-05-16 10:33

Dear BugMaster,

Branch CR23706_17 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 1272169032ec8ff82cdf778899147b63449623e0

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 64 (64 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
bugs moddata_3(013) bug23706 - OK

Testing on Linux:
Total MEMORY difference: 366031788 / 366096408
Total CPU difference: 44925.75000000137 / 43867.89000000105

Testing on Windows:
Total MEMORY difference: 421809232 / 421345328
Total CPU difference: 31456.078125 / 32259.25

There are following differences in images found by testdiff.
http://occt-tests/CR23706-17-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR23706-17-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE geometry beziecurve A2: A2.png differs
IMAGE geometry beziecurve A4: A4.png differs
IMAGE geometry beziecurve A5: A5.png differs
IMAGE geometry beziecurve A6: A6.png differs
IMAGE geometry beziecurve A7: A7.png differs
IMAGE geometry beziecurve A8: A8.png differs
IMAGE geometry beziecurve B1: B1.png differs
IMAGE geometry beziecurve B3: B3.png differs
IMAGE geometry beziecurve B5: B5.png differs
IMAGE geometry ellipse A3: A3.png differs
IMAGE geometry ellipse A4: A4.png differs
IMAGE geometry circle A4: A4.png differs
IMAGE geometry circle A5: A5.png differs
IMAGE geometry circle A6: A6.png differs
IMAGE geometry circle A8: A8.png differs
IMAGE geometry circle A9: A9.png differs
IMAGE chamfer equal_dist_sequence B1: B1.png differs
(0024417)
nbv (developer)
2013-05-16 14:48
edited on: 2013-05-16 15:07

Above described image differences should not consider as regression. Earlier B-spline was drawn as set of 16 (for example) line segment, now it is drown as set of 15 line segment (it is still there, because 16-th unnecessary segment can out of domain curve and to be cause of exception).

(0024485)
apn (administrator)
2013-05-23 12:11
edited on: 2013-05-23 12:22

15 test script were created and pushed to branch CR23706_17. Test cases which use shapes from attached "ProblemShapes.7z" archive will be added after integration.

(0024488)
abv (manager)
2013-05-23 12:46

Please explain differences in images:

IMAGE bugs vis bug22149: bug22149.png differs
IMAGE bugs modalg_2 bug5805_43: bug5805_43.png differs (looks like improvement)
IMAGE offset compshape A3: A3.png differs (looks like regression)
IMAGE geometry beziecurve A2: A2.png differs (looks like regression)
(0024491)
nbv (developer)
2013-05-23 14:31

IMAGE bugs vis bug22149: bug22149.png differs
There is on the MASTER as same as behavior (1 square in the picture).




IMAGE offset compshape A3: A3.png differs
There is on the MASTER as same as behavior.
But there is instable:
    test offset compshape A3
draws shape withIN a wall.
    test offset compshape A3 1
draws shape withOUT a wall.





IMAGE bugs modalg_2 bug5805_43: bug5805_43.png differs
On Master: "ERROR. offsetperform operation not done."
On CR23706_17 offset is built.
I think, cause of differences is changed algorithm of tangents and normals computing.





IMAGE geometry beziecurve A2: A2.png differs
Cause was described above (see http://tracker.dev.opencascade.org/view.php?id=23706#c24417 [^]).
(0024503)
nbv (developer)
2013-05-24 09:56
edited on: 2013-05-24 09:57

I'm sorry.
After update master, which based CR23706_17 on, result for "bugs modalg_2 bug5805_43" test is as same as on MASTER: "ERROR. offsetperform operation not done."

All other behaviors (described in http://tracker.dev.opencascade.org/view.php?id=23706#c24491 [^]) remain the same.

(0024538)
nbv (developer)
2013-05-29 09:13

If "proj" command did not find a projection, it must return 0. Now it returns 1 in this case.

In branch CR23706_18 it is amended.



Dear abv!
Analyze my answers about differences in images, please.
(0024541)
apn (administrator)
2013-05-29 12:07

I've added more test cases using command "proj" and modified its output (di instead of cout). This corrections were pushed to CR23706_18.
(0024610)
nbv (developer)
2013-06-03 14:59
edited on: 2013-06-03 15:00

About differences in “IMAGE geometry beziecurve A2”

            SCRIPT
beziercurve result 8 0 0 1 0 1 2 -2 1 3 -2 -3 4 4 -3 5 4 5 6 -6 5 7 -6 -4 8
pscale result 0 0 0 1.2

            DESCRIPTION
As it was described above, on CR23706_18 branch, curve is built by fifteen points, whereas on MASTER it is built by sixteen points. Distribution these points are following (here t is a parameter on the curve, P is a 3D-point, correspond to this parameter):

            On CR23706_18 branch:
1. t = 0.0666666666666667; P(-0.17472402436214, 0.419294442578875, 1.76)
2. t = 0.133333333333333; P(-0.512923875555556, 0.503418809766804, 2.32)
3. t = 0.200000000000000; P(-0.78025728, 0.28250112, 2.88)
4. t = 0.266666666666667; P(-0.826628087572017, -0.111857686474622, 3.44)
5. t = 0.333333333333333; P(-0.602469135802469, -0.50150891632373, 4)
6. t = 0.400000000000000; P(-0.158883840000001, -0.711690239999998, 4.56)
7. t = 0.466666666666667; P(0.366654409218108, -0.614128085157746, 5.12)
8. t = 0.533333333333333; P(0.777345959506173, -0.161467635006855, 5.68)
9. t = 0.600000000000000; P(0.855152639999998, 0.58881024, 6.24)
10. t = 0.666666666666667; P(0.40823045267489, 1.46282578875172, 6.8)
11. t = 0.733333333333333; P(-0.673991869629629, 2.17293159593965, 7.36)
12. t = 0.800000000000000; P(-2.35978752000002, 2.33637888000003, 7.92)
13. t = 0.866666666666667; P(-4.40985857053498, 1.51185954414267, 8.48)
14. t = 0.933333333333333; P(-6.30951430320992, -0.744235347928627, 9.04)
15. t = 1.000000000000000; P(-7.20000000000004, -4.79999999999997, 9.6)

            On MASTER
1. t = 0.0666666666666667; P(-0.17472402436214, 0.419294442578875, 1.76)
2. t = 0.133333333333333; P(-0.512923875555556, 0.503418809766804, 2.32)
3. t = 0.200000000000000; P(-0.78025728, 0.28250112, 2.88)
4. t = 0.266666666666667; P(-0.826628087572017, -0.111857686474622, 3.44)
5. t = 0.333333333333333; P(-0.602469135802469, -0.50150891632373, 4)
6. t = 0.400000000000000; P(-0.158883840000001, -0.711690239999998, 4.56)
7. t = 0.466666666666667; P(0.366654409218108, -0.614128085157746, 5.12)
8. t = 0.533333333333333; P(0.777345959506173, -0.161467635006855, 5.68)
9. t = 0.600000000000000; P(0.855152639999998, 0.58881024, 6.24)
10. t = 0.666666666666667; P(0.40823045267489, 1.46282578875172, 6.8)
11. t = 0.733333333333333; P(-0.673991869629629, 2.17293159593965, 7.36)
12. t = 0.800000000000000; P(-2.35978752000002, 2.33637888000003, 7.92)
13. t = 0.866666666666667; P(-4.40985857053498, 1.51185954414267, 8.48)
14. t = 0.933333333333333; P(-6.30951430320992, -0.744235347928627, 9.04)
15. t = 1.000000000000000; P(-7.20000000000007, -4.79999999999994, 9.6)
16. t = 1.000000000000000; P(-7.20000000000004, -4.79999999999997, 9.6)

(point number 15 is additional). Presence it allows PlotCurve(…) function (it is defined into “DrawTrSurf_Drawable.cxx” file) to build points distinct from CR23706_18.

Result on master looks like more beautiful. However, additional point can be cause of exception (e.g., if it will be out of domain-boundary). And should we consider this difference as regression?

(0024613)
abv (manager)
2013-06-03 15:41

As the points 15 and 16 on MASTER are very near to each other, there should be no visible difference in having point 15 or not, right? Please explain the difference in display!
(0024658)
nbv (developer)
2013-06-06 12:49

CR23706_19 is ready to review.

On this branch "DrawTrSurf_Drawable.cxx" file was changed only.
(0024661)
ifv (developer)
2013-06-06 13:44

Dear nbv, please put brackets according to programming rules:
    if (LineVu.IsDone())
      {

must be
    if (LineVu.IsDone())
    {
(0024662)
nbv (developer)
2013-06-06 14:23

It is done in updated branch CR23706_19.
(0024664)
ifv (developer)
2013-06-06 14:38

Ok
(0024698)
mkv (tester)
2013-06-07 15:27

Dear BugMaster,

Branch CR23706_19 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 842cd385ceec54c3f77e3fa125d71e2bc638cab2

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 7 (7 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (63 on master)

Regressions:
http://occt-tests/CR23706-19-master-occt/Windows-32-VC9/summary.html [^]
http://occt-tests/CR23706-19-master-occt/Debian60-64/summary.html [^]
bugs modalg_5(010) bug23706_18, bug23706_23, bug23706_25, bug23706_30, bug23706_35

Improvements:
No improvements

Testing cases:
bugs modalg_5(010) bug23706_1 - bug23706_61

Testing on Linux:
Total MEMORY difference: 366154220 / 366237452
Total CPU difference: 45474.29000000091 / 41752.17000000117

Testing on Windows:
Total MEMORY difference: 422393300 / 422070272
Total CPU difference: 33122.734375 / 41834.40625

There are not differences in images found by testdiff.
(0024699)
nbv (developer)
2013-06-07 15:42

    bugs modalg_5(010) bug23706_18, bug23706_23, bug23706_25, bug23706_30, bug23706_35
"No project point was found." is well-known fact. However, this is NOT error.

Therefore, it is necessary to change test case.

It does not require code changes, I think.

In my opinion, there are not new regressions.
(0024719)
ifv (developer)
2013-06-11 09:51

Agree with nbv
(0024724)
mkv (tester)
2013-06-11 11:30

Dear BugMaster,
Test cases
bugs modalg_5(010) bug23706_18, bug23706_23, bug23706_25, bug23706_30, bug23706_35
are deleted from regular testing.
Branch CR23706_19 is TESTED.
(0024751)
kgv (developer)
2013-06-14 09:44

Dear nbv, here are general remarks:

+#ifdef DEB
+ cout << "+++ Function Extrema_FuncExtCC::SearchOfTolerance(...)" << endl;
+ cout << "Warning: No curve for tolerance computing!---"<<endl;
+#endif
All these debug outputs should be turned on by dedicated macro (normally - unique for debugging concrete algorithm).

+ if(C==myC1)
+ {
+ aStartParam = myUinfium;
+ anEndParam = myUsupremum;
+ }
Please follow OCCT coding rules - these braces are indented inappropriately.

- Related Changesets
occt: master 32ca7a51
Timestamp: 2013-06-13 11:12:06
Author: nbv
Details ] Diff ]
0023706: Cannot project point on curve

1. Approximation of derivative (by Taylor-series and by three points).
2. Some methods (Degree(), GetType(), D0(), D3(), DN()) are added.
3. Getting of subInterval's boundaries.
4. Algorithm for checking if 1st derivative is equal to zero is amended.
5. Cases are controlled when extrema or Project point do not exist.
6. GetNormal() function for gp_Vec2d was added.
7. Computing of Value, D0, D1, D2 and D3 for offset curves was changed.
8. Limitation of tolerance for derivative computing was added.
9. Methods for computing trihedron in singularity point are added.
10. Test tests/bugs/moddata_3/bug23706 is added.
11. Restriction on the LastParameter for visualization of 3-D curves. Calling PlotCurve(...) function for last interval.
12. LProp package is modified for tangent computing in singularity point (LProp_CLProps, LProp_SLProps).
13. Added test cases for issue.
Deleting bad test cases for this fix
mod - src/AdvApprox/AdvApprox_ApproxAFunction.cxx Diff ] File ]
mod - src/Approx/Approx_SweepApproximation.cxx Diff ] File ]
mod - src/DrawTrSurf/DrawTrSurf_Drawable.cxx Diff ] File ]
mod - src/Extrema/Extrema_CurveTool.cdl Diff ] File ]
mod - src/Extrema/Extrema_CurveTool.lxx Diff ] File ]
mod - src/Extrema/Extrema_FuncExtCC.cdl Diff ] File ]
mod - src/Extrema/Extrema_FuncExtCC.gxx Diff ] File ]
mod - src/Extrema/Extrema_FuncExtCC.lxx Diff ] File ]
mod - src/Extrema/Extrema_FuncExtPC.cdl Diff ] File ]
mod - src/Extrema/Extrema_FuncExtPC.gxx Diff ] File ]
mod - src/Extrema/Extrema_GenExtCC.gxx Diff ] File ]
mod - src/Extrema/Extrema_GenExtPC.gxx Diff ] File ]
mod - src/Extrema/Extrema_GExtCC2d.gxx Diff ] File ]
mod - src/Extrema/Extrema_GExtPC.gxx Diff ] File ]
mod - src/Geom/Geom_OffsetCurve.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_OffsetCurve.cxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_CurveTool.cdl Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_CurveTool.lxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_APICommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_CurveCommands.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Frenet.cdl Diff ] File ]
mod - src/GeomFill/GeomFill_Frenet.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_SnglrFunc.cdl Diff ] File ]
mod - src/GeomFill/GeomFill_SnglrFunc.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_API2dCommands.cxx Diff ] File ]
mod - src/gp/gp_Vec.cdl Diff ] File ]
mod - src/gp/gp_Vec2d.cdl Diff ] File ]
mod - src/gp/gp_Vec2d.lxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_CurveTool.cdl Diff ] File ]
mod - src/HLRBRep/HLRBRep_CurveTool.lxx Diff ] File ]
mod - src/IntCurve/IntCurve_IntCurveCurveGen.gxx Diff ] File ]
mod - src/IntCurve/IntCurve_UserIntConicCurveGen.gxx Diff ] File ]
mod - src/LProp/LProp_CLProps.cdl Diff ] File ]
mod - src/LProp/LProp_CLProps.gxx Diff ] File ]
mod - src/LProp/LProp_SLProps.cdl Diff ] File ]
mod - src/LProp/LProp_SLProps.gxx Diff ] File ]
add - tests/bugs/modalg_5/bug23706_1 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_10 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_11 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_12 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_13 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_14 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_15 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_16 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_17 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_19 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_2 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_20 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_21 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_22 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_24 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_26 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_27 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_28 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_29 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_3 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_31 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_32 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_33 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_34 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_36 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_37 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_38 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_39 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_4 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_40 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_41 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_42 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_43 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_44 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_45 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_46 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_47 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_48 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_49 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_5 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_50 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_51 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_52 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_53 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_54 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_55 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_56 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_57 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_58 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_59 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_6 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_60 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_61 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_7 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_8 Diff ] File ]
add - tests/bugs/modalg_5/bug23706_9 Diff ] File ]
add - tests/bugs/moddata_3/bug23706 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-01-16 16:04 abk New Issue
2013-01-16 16:04 abk Assigned To => abv
2013-01-16 16:04 abk File Added: c.brep
2013-01-16 16:38 abv Assigned To abv => nbv
2013-01-16 16:38 abv Status new => assigned
2013-01-18 18:30 nbv Note Added: 0023033
2013-01-18 18:30 nbv Status assigned => resolved
2013-01-18 18:30 nbv Assigned To nbv => jgv
2013-01-18 18:33 nbv Note Edited: 0023033 View Revisions
2013-01-18 18:36 nbv Note Edited: 0023033 View Revisions
2013-01-21 10:10 nbv Note Edited: 0023033 View Revisions
2013-01-21 10:12 nbv Note Edited: 0023033 View Revisions
2013-01-21 10:13 nbv Note Edited: 0023033 View Revisions
2013-01-21 11:24 jgv Assigned To jgv => abk
2013-01-21 11:24 jgv Note Added: 0023040
2013-01-21 12:39 abk Note Added: 0023044
2013-01-21 12:39 abk Assigned To abk => jgv
2013-01-21 12:39 abk Status resolved => assigned
2013-01-21 12:44 jgv Assigned To jgv => nbv
2013-01-21 13:12 nbv Note Added: 0023045
2013-01-21 13:15 jgv Assigned To nbv => abk
2013-01-21 13:16 jgv Status assigned => resolved
2013-01-21 21:23 abk File Added: c2.brep
2013-01-21 21:31 abk Note Added: 0023050
2013-01-21 21:31 abk Assigned To abk => jgv
2013-01-21 21:31 abk Status resolved => assigned
2013-01-22 10:09 nbv Note Added: 0023052
2013-01-22 10:09 nbv Assigned To jgv => abk
2013-01-22 10:09 nbv Status assigned => resolved
2013-01-22 10:10 nbv Note Edited: 0023052 View Revisions
2013-01-22 10:12 nbv Note Edited: 0023052 View Revisions
2013-01-22 10:54 nbv Note Added: 0023053
2013-01-22 10:54 nbv Note Edited: 0023053 View Revisions
2013-01-22 11:04 nbv Note Edited: 0023053 View Revisions
2013-01-22 12:06 abk Assigned To abk =>
2013-01-22 12:07 abk Assigned To => jgv
2013-01-22 12:07 abk Note Added: 0023057
2013-01-22 13:41 nbv Note Edited: 0023033 View Revisions
2013-01-22 14:33 nbv Note Added: 0023058
2013-01-22 14:33 nbv Assigned To jgv => abk
2013-01-22 14:33 nbv Assigned To abk => jgv
2013-01-23 10:53 nbv Assigned To jgv => nbv
2013-01-23 10:53 nbv Status resolved => assigned
2013-01-23 11:00 nbv Note Added: 0023079
2013-01-23 11:00 nbv Assigned To nbv => jgv
2013-01-23 11:00 nbv Status assigned => resolved
2013-01-23 12:06 jgv Assigned To jgv => abk
2013-01-23 12:48 abk Note Added: 0023087
2013-01-23 12:48 abk Assigned To abk => jgv
2013-01-23 12:48 abk Status resolved => assigned
2013-01-23 13:34 nbv Note Added: 0023088
2013-01-23 13:34 nbv Status assigned => resolved
2013-01-23 13:36 nbv Assigned To jgv => nbv
2013-01-23 13:36 nbv Assigned To nbv => jgv
2013-01-23 13:41 nbv Note Edited: 0023088 View Revisions
2013-01-24 09:00 nbv Note Edited: 0023088 View Revisions
2013-01-25 15:41 nbv Assigned To jgv => nbv
2013-01-25 15:41 nbv Status resolved => assigned
2013-01-29 10:59 nbv Note Added: 0023194
2013-01-29 10:59 nbv Assigned To nbv => jgv
2013-01-29 10:59 nbv Status assigned => resolved
2013-01-29 11:25 jgv Assigned To jgv => abk
2013-01-29 11:26 jgv Note Added: 0023199
2013-02-04 12:43 abk Assigned To abk => jgv
2013-02-04 12:43 abk Note Added: 0023249
2013-02-04 12:45 abk Status resolved => assigned
2013-03-07 11:30 nbv File Added: ProblemShapes.7z
2013-03-13 11:33 nbv File Added: theory.pdf
2013-03-13 13:58 nbv Note Added: 0023696
2013-03-13 13:58 nbv Status assigned => resolved
2013-03-13 13:59 nbv Assigned To jgv => ifv
2013-03-13 14:12 nbv Note Added: 0023698
2013-03-14 11:12 nbv File Added: theory1.pdf
2013-03-14 11:13 nbv Note Added: 0023713
2013-03-14 11:16 nbv File Deleted: theory1.pdf
2013-03-14 11:20 nbv File Added: theory1.pdf
2013-03-14 12:25 ifv Note Added: 0023717
2013-03-14 12:25 ifv Status resolved => assigned
2013-03-14 12:26 ifv Assigned To ifv => nbv
2013-03-15 11:06 nbv Note Added: 0023737
2013-03-15 11:06 nbv Assigned To nbv => ifv
2013-03-15 11:06 nbv Status assigned => resolved
2013-03-15 17:10 ifv Note Added: 0023755
2013-03-15 17:10 ifv Status resolved => reviewed
2013-03-15 17:30 mkv Assigned To ifv => mkv
2013-03-19 14:19 nbv Assigned To mkv => nbv
2013-03-19 14:19 nbv Status reviewed => assigned
2013-03-25 11:39 nbv Note Added: 0023882
2013-03-25 11:39 nbv Assigned To nbv => ifv
2013-03-25 11:39 nbv Status assigned => resolved
2013-03-25 12:05 nbv Assigned To ifv => nbv
2013-03-25 12:05 nbv Status resolved => assigned
2013-03-25 12:26 nbv Assigned To nbv => ifv
2013-03-25 12:26 nbv Status assigned => resolved
2013-03-25 13:33 ifv Note Added: 0023883
2013-03-25 13:33 ifv Status resolved => reviewed
2013-03-25 18:06 mkv Assigned To ifv => mkv
2013-03-26 14:55 mkv Note Added: 0023897
2013-03-26 14:55 mkv Assigned To mkv => nbv
2013-03-26 14:55 mkv Status reviewed => assigned
2013-03-28 12:59 nbv Note Added: 0023919
2013-03-28 12:59 nbv Assigned To nbv => ifv
2013-03-28 12:59 nbv Status assigned => resolved
2013-03-29 16:04 nbv Assigned To ifv => nbv
2013-03-29 16:04 nbv Status resolved => assigned
2013-03-29 16:05 nbv Note Added: 0023940
2013-03-29 16:05 nbv Status assigned => resolved
2013-03-29 16:05 nbv Assigned To nbv => ifv
2013-03-29 18:15 ifv Note Added: 0023943
2013-03-29 18:15 ifv Status resolved => reviewed
2013-03-29 18:44 mkv Assigned To ifv => mkv
2013-04-01 17:14 mkv Note Added: 0023953
2013-04-01 17:14 mkv Assigned To mkv => nbv
2013-04-01 17:14 mkv Status reviewed => assigned
2013-04-04 15:51 nbv Note Added: 0023997
2013-04-04 15:51 nbv Assigned To nbv => ifv
2013-04-04 15:51 nbv Status assigned => resolved
2013-04-04 16:05 ifv Status resolved => reviewed
2013-04-04 16:55 nbv Assigned To ifv => nbv
2013-04-04 16:55 nbv Status reviewed => assigned
2013-04-04 17:13 nbv Note Added: 0023999
2013-04-04 17:13 nbv Assigned To nbv => ifv
2013-04-04 17:13 nbv Status assigned => resolved
2013-04-04 17:13 nbv Note Edited: 0023999 View Revisions
2013-04-04 17:14 ifv Status resolved => reviewed
2013-04-04 18:32 mkv Assigned To ifv => mkv
2013-04-05 20:46 mkv Note Added: 0024024
2013-04-05 20:47 mkv Test case number => bugs moddata_3(013) bug23706
2013-04-05 20:47 mkv Assigned To mkv => nbv
2013-04-05 20:47 mkv Status reviewed => assigned
2013-04-09 11:47 nbv Note Added: 0024036
2013-04-09 11:47 nbv Status assigned => resolved
2013-04-09 11:49 nbv Assigned To nbv => ifv
2013-04-09 13:33 ifv Note Added: 0024041
2013-04-09 13:33 ifv Status resolved => reviewed
2013-04-09 15:43 apn Assigned To ifv => apn
2013-04-09 15:49 apn Note Added: 0024051
2013-04-10 14:42 nbv File Added: Rotation of trihedron along the curve.pdf
2013-04-10 14:45 nbv Note Added: 0024076
2013-04-11 13:48 apn Note Added: 0024087
2013-04-11 14:20 apn Note Added: 0024091
2013-04-11 14:21 apn Note Edited: 0024087 View Revisions
2013-04-11 14:21 apn Assigned To apn => nbv
2013-04-11 14:21 apn Status reviewed => assigned
2013-04-16 10:37 nbv Note Added: 0024147
2013-04-16 10:37 nbv Assigned To nbv => ifv
2013-04-16 10:37 nbv Status assigned => resolved
2013-04-16 12:04 ifv Note Added: 0024150
2013-04-16 12:04 ifv Status resolved => reviewed
2013-04-16 14:37 nbv Note Added: 0024156
2013-04-16 14:38 nbv Note Edited: 0024156 View Revisions
2013-04-16 14:42 nbv Note Edited: 0024156 View Revisions
2013-04-16 15:02 nbv Note Edited: 0024156 View Revisions
2013-04-17 15:52 nbv Relationship added related to 0023908
2013-04-18 12:46 nbv Assigned To ifv => nbv
2013-04-18 12:46 nbv Status reviewed => assigned
2013-04-18 12:49 nbv Note Added: 0024202
2013-04-18 12:49 nbv Assigned To nbv => ifv
2013-04-18 12:49 nbv Status assigned => resolved
2013-04-19 10:15 ifv Note Added: 0024216
2013-04-19 10:15 ifv Status resolved => reviewed
2013-05-08 13:12 apn Note Added: 0024336
2013-05-08 13:12 apn Assigned To ifv => nbv
2013-05-08 13:12 apn Status reviewed => assigned
2013-05-15 14:43 nbv Note Added: 0024396
2013-05-15 14:43 nbv Assigned To nbv => ifv
2013-05-15 14:43 nbv Status assigned => resolved
2013-05-15 15:07 ifv Note Added: 0024397
2013-05-15 15:07 ifv Status resolved => reviewed
2013-05-16 10:33 mkv Note Added: 0024412
2013-05-16 10:33 mkv Assigned To ifv => nbv
2013-05-16 10:33 mkv Status reviewed => feedback
2013-05-16 14:48 nbv Note Added: 0024417
2013-05-16 14:50 mkv Assigned To nbv => mkv
2013-05-16 14:50 mkv Status feedback => reviewed
2013-05-16 15:07 nbv Note Edited: 0024417 View Revisions
2013-05-21 15:02 mkv Assigned To mkv => apn
2013-05-21 15:02 mkv Status reviewed => feedback
2013-05-23 12:11 apn Note Added: 0024485
2013-05-23 12:22 apn Note Edited: 0024485 View Revisions
2013-05-23 12:22 apn Assigned To apn => bugmaster
2013-05-23 12:22 apn Status feedback => tested
2013-05-23 12:39 bugmaster Target Version => 6.7.0
2013-05-23 12:46 abv Note Added: 0024488
2013-05-23 12:46 abv Assigned To bugmaster => nbv
2013-05-23 12:46 abv Status tested => feedback
2013-05-23 14:31 nbv Note Added: 0024491
2013-05-23 14:31 nbv Assigned To nbv => abv
2013-05-23 14:31 nbv Status feedback => resolved
2013-05-24 09:56 nbv Note Added: 0024503
2013-05-24 09:57 nbv Note Edited: 0024503 View Revisions
2013-05-28 18:00 nbv Assigned To abv => nbv
2013-05-28 18:00 nbv Status resolved => assigned
2013-05-29 09:13 nbv Note Added: 0024538
2013-05-29 09:13 nbv Assigned To nbv => abv
2013-05-29 09:13 nbv Status assigned => resolved
2013-05-29 12:07 apn Note Added: 0024541
2013-06-03 14:59 nbv Note Added: 0024610
2013-06-03 14:59 nbv Note Edited: 0024610 View Revisions
2013-06-03 15:00 nbv Note Edited: 0024610 View Revisions
2013-06-03 15:41 abv Note Added: 0024613
2013-06-03 16:18 nbv Assigned To abv => nbv
2013-06-03 16:18 nbv Status resolved => assigned
2013-06-06 12:49 nbv Note Added: 0024658
2013-06-06 12:49 nbv Assigned To nbv => ifv
2013-06-06 12:49 nbv Status assigned => resolved
2013-06-06 13:40 ifv Assigned To ifv => nbv
2013-06-06 13:44 ifv Note Added: 0024661
2013-06-06 14:07 nbv Status resolved => feedback
2013-06-06 14:23 nbv Note Added: 0024662
2013-06-06 14:23 nbv Assigned To nbv => ifv
2013-06-06 14:23 nbv Status feedback => resolved
2013-06-06 14:38 ifv Note Added: 0024664
2013-06-06 14:38 ifv Status resolved => reviewed
2013-06-06 15:40 mkv Assigned To ifv => mkv
2013-06-07 15:27 mkv Note Added: 0024698
2013-06-07 15:28 mkv Assigned To mkv => nbv
2013-06-07 15:28 mkv Status reviewed => assigned
2013-06-07 15:42 nbv Note Added: 0024699
2013-06-07 15:42 nbv Assigned To nbv => ifv
2013-06-07 15:42 nbv Status assigned => resolved
2013-06-11 09:51 ifv Note Added: 0024719
2013-06-11 09:51 ifv Status resolved => reviewed
2013-06-11 10:46 mkv Assigned To ifv => mkv
2013-06-11 11:30 mkv Note Added: 0024724
2013-06-11 11:31 mkv Test case number bugs moddata_3(013) bug23706 => bugs modalg_5(010) bug23706_1 - bug23706_61
2013-06-11 11:31 mkv Assigned To mkv => bugmaster
2013-06-11 11:31 mkv Status reviewed => tested
2013-06-14 09:44 kgv Note Added: 0024751
2013-06-14 12:18 nbv Changeset attached => occt master 32ca7a51
2013-06-14 12:18 nbv Assigned To bugmaster => nbv
2013-06-14 12:18 nbv Status tested => verified
2013-06-14 12:18 nbv Resolution open => fixed
2013-12-19 13:53 bugmaster Status verified => closed
2013-12-19 13:55 bugmaster Fixed in Version => 6.7.0
2015-01-26 14:48 abv Relationship added has duplicate 0023659


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker